import { Prisma } from "@prisma/client";
import { NextRequest, NextResponse } from "next/server";
import { putLike } from "./likeService";

type like = Prisma.LikeUncheckedCreateInput

export async function PUT(req: NextRequest) {
	const data: like = await req.json()

	console.log("router data: " + data, "status:")
	try {
		const msg = await putLike(data)
		return NextResponse.json({ status: 200, message: 'Like handled' })

	} catch (error) {
		console.log("fail" + error);
		return NextResponse.json(error, { status: 500 });
	}
}